# Rolodex (Contacts & Organizations)

The Contacts & Organizations, or Rolodex, app provides the Customer Relationship Management (CRM) capabilities
of the Rhythm platform. Common integrations with the Rolodex API include finding or updating contact information, 
demographics, or communication preferences for a Contact or Organization.

Like most of the other Rhythm apps, the Rolodex API includes endpoints for Query Definitions. These endpoints are commonly
used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.


Version: v1-2025-04-18

## Servers

```
https://rolodex.api.rhythmsoftware.com
```

## Security

### knox-authorizer

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Rolodex (Contacts & Organizations)](https://docs.api.rhythmsoftware.com/_bundle/apis/rolodex/rolodex-v1.yaml)

## Account Delegation Processes

 - [GET /accountDelegationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/listaccountdelegationprocesses.md): This method will scan all account delegation processes and and return them to the caller.
 - [POST /accountDelegationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/createaccountdelegationprocess.md): This method will auto-generate an ID and create a new account delegation process. If an ID is specified for the account delegation process, an error will be thrown.
 - [POST /accountDelegationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/deleteaccountdelegationprocess.md): This method will delete a account delegation process with the specified ID.
 - [GET /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/getaccountdelegationprocess.md): This method will look up a account delegation process by the specified ID and return it back.
 - [PATCH /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/patchaccountdelegationprocess.md): This method will patch an existing account delegation process with the specified ID, using the HTTP PATCH specification.
 - [PUT /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/updateaccountdelegationprocess.md): This method will update an existing account delegation process with the specified ID.
## Address Types

 - [GET /addressTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/listaddresstypes.md): This method will scan all address types and and return them to the caller.
 - [POST /addressTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/createaddresstype.md): This method will auto-generate an ID and create a new address type. If an ID is specified for the address type, an error will be thrown.
 - [POST /addressTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/deleteaddresstype.md): This method will delete a address type with the specified ID.
 - [GET /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/getaddresstype.md): This method will look up a address type by the specified ID and return it back.
 - [PATCH /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/patchaddresstype.md): This method will patch an existing address type with the specified ID, using the HTTP PATCH specification.
 - [PUT /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/updateaddresstype.md): This method will update an existing address type with the specified ID.
## Communication Types

 - [GET /communicationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/listcommunicationtypes.md): This method will scan all communication types and and return them to the caller.
 - [POST /communicationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/createcommunicationtype.md): This method will auto-generate an ID and create a new communication type. If an ID is specified for the communication type, an error will be thrown.
 - [POST /communicationTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/deletecommunicationtype.md): This method will delete a communication type with the specified ID.
 - [GET /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/getcommunicationtype.md): This method will look up a communication type by the specified ID and return it back.
 - [PATCH /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/patchcommunicationtype.md): This method will patch an existing communication type with the specified ID, using the HTTP PATCH specification.
 - [PUT /communicationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/communication-types/updatecommunicationtype.md): This method will update an existing communication type with the specified ID.
## Contact Directories

 - [GET /contactDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/listcontactdirectories.md): This method will scan all contact directories and and return them to the caller.
 - [POST /contactDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/createcontactdirectory.md): This method will auto-generate an ID and create a new contact directory. If an ID is specified for the contact directory, an error will be thrown.
 - [POST /contactDirectories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /contactDirectories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getdirectoryentry.md)
 - [POST /contactDirectories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/searchpublicdirectory.md)
 - [POST /contactDirectories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/senddirectorymessage.md)
 - [GET /contactDirectories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getpublicdirectory.md): This method will look up a contact directory by the specified ID and return it back.
 - [POST /contactDirectories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/searchdirectory.md)
 - [DELETE /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/deletecontactdirectory.md): This method will delete a contact directory with the specified ID.
 - [GET /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getcontactdirectory.md): This method will look up a contact directory by the specified ID and return it back.
 - [PATCH /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/patchcontactdirectory.md): This method will patch an existing contact directory with the specified ID, using the HTTP PATCH specification.
 - [PUT /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/updatecontactdirectory.md): This method will update an existing contact directory with the specified ID.
## Contact Districts

 - [POST /contactDistricts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/createcontactdistrict.md): This method will auto-generate an ID and create a new contact district. If an ID is specified for the contact district, an error will be thrown.
 - [POST /contactDistricts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/deletecontactdistrict.md): This method will delete a contact district with the specified ID.
 - [GET /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/getcontactdistrict.md): This method will look up a contact district by the specified ID and return it back.
 - [PATCH /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/patchcontactdistrict.md): This method will patch an existing contact district with the specified ID, using the HTTP PATCH specification.
 - [PUT /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/updatecontactdistrict.md): This method will update an existing contact district with the specified ID.
## Contact Duplicates

 - [GET /contactDuplicates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/listcontactduplicates.md): This method will scan all contact duplicates and and return them to the caller.
 - [POST /contactDuplicates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/duplicatecheck.md): This method searches for potential duplicates
 - [POST /contactDuplicates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [POST /contactDuplicates/{tenantId}/portal](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/portalduplicatecheck.md): This method searches for potential duplicates and returns masked validation options
 - [GET /contactDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/getcontactduplicate.md): This method will look up a contact duplicate by the specified ID and return it back.
 - [PATCH /contactDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/patchcontactduplicate.md): This method will patch an existing contact duplicate with the specified ID, using the HTTP PATCH specification.
 - [PUT /contactDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-duplicates/updatecontactduplicate.md): This method will update an existing contact duplicate with the specified ID.
## Contact Login Profiles

 - [POST /contactLoginProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/createcontactloginprofile.md): This method will auto-generate an ID and create a new contact login profile. If an ID is specified for the contact login profile, an error will be thrown.
 - [POST /contactLoginProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/deletecontactloginprofile.md): This method will delete a contact login profile with the specified ID.
 - [GET /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/getcontactloginprofile.md): This method will look up a contact login profile by the specified ID and return it back.
 - [PATCH /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/patchcontactloginprofile.md): This method will patch an existing contact login profile with the specified ID, using the HTTP PATCH specification.
 - [PUT /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/updatecontactloginprofile.md): This method will update an existing contact login profile with the specified ID.
## Contact Role Rule Sets

 - [GET /contactRoleRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/listcontactrolerulesets.md): This method will scan all contact role rule sets and and return them to the caller.
 - [POST /contactRoleRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/createcontactroleruleset.md): This method will auto-generate an ID and create a new contact role rule set. If an ID is specified for the contact role rule set, an error will be thrown.
 - [POST /contactRoleRuleSets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/deletecontactroleruleset.md): This method will delete a contact role rule set with the specified ID.
 - [GET /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/getcontactroleruleset.md): This method will look up a contact role rule set by the specified ID and return it back.
 - [PATCH /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/patchcontactroleruleset.md): This method will patch an existing contact role rule set with the specified ID, using the HTTP PATCH specification.
 - [PUT /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/updatecontactroleruleset.md): This method will update an existing contact role rule set with the specified ID.
## Contact Roles

 - [GET /contactRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/listcontactroles.md): This method will scan all contact roles and and return them to the caller.
 - [POST /contactRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/createcontactrole.md): This method will auto-generate an ID and create a new contact role. If an ID is specified for the contact role, an error will be thrown.
 - [POST /contactRoles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/deletecontactrole.md): This method will delete a contact role with the specified ID.
 - [GET /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/getcontactrole.md): This method will look up a contact role by the specified ID and return it back.
 - [PATCH /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/patchcontactrole.md): This method will patch an existing contact role with the specified ID, using the HTTP PATCH specification.
 - [PUT /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/updatecontactrole.md): This method will update an existing contact role with the specified ID.
## Contacts

 - [POST /contacts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/createcontact.md): This method will auto-generate an ID and create a new contact. If an ID is specified for the contact, an error will be thrown.
 - [POST /contacts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /contacts/{tenantId}/checkManageability/{managerId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/checkmanageability.md): Checks to see if a contact is clear to manage another contact by email addess
 - [GET /contacts/{tenantId}/current](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getcurrentcontactfromcredentials.md): Returns the contact related to the currently logged in user
 - [POST /contacts/{tenantId}/current](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/createcontactandlinkuser.md): Returns the new contact which is linked to the currently logged in user
 - [GET /contacts/{tenantId}/descendants/{organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/recursivelylistcontactsfororganizationid.md): Does a recursive lookup of contacts by organization
 - [GET /contacts/{tenantId}/emailAddress/{email_address}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyemailaddress.md): Returns a list of records with the specified email_address
 - [GET /contacts/{tenantId}/emailAddress2/{email_address2}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyemailaddress2.md): Returns a list of records with the specified email_address2
 - [GET /contacts/{tenantId}/emailAddress3/{email_address3}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyemailaddress3.md): Returns a list of records with the specified email_address3
 - [POST /contacts/{tenantId}/generateMergedObject](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/generatemergedobject.md): This method will load contacts, compare them, and return all fields that are in conflict
 - [GET /contacts/{tenantId}/getFieldConflicts/{ids}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getfieldconflicts.md): This method will load contacts, compare them, and return all fields that are in conflict
 - [GET /contacts/{tenantId}/number/{number}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/readcontactbynumber.md): Returns a single contact by number
 - [GET /contacts/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyorganizationid.md): Returns a list of records with the specified organization_id. If the list is large, a results_uri is returned with a list that can be downloaded.
 - [GET /contacts/{tenantId}/portal](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getcontactfromportaluser.md): Returns the contact related to the currently logged in user
 - [POST /contacts/{tenantId}/portal](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/createcontactandlinkportaluser.md): Returns the new contact which is linked to the currently logged in user
 - [GET /contacts/{tenantId}/portal/emailAddress/{email_address}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getcontactbyemailaddress.md): Returns the appropriate contact ID for an email, can be called by the portal and useful in duplicate prevention
 - [POST /contacts/{tenantId}/portal/{emailAddress}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/authorizeandlinkalternateemail.md): Sends an authorization email then links the current user to a contact with a different email address
 - [GET /contacts/{tenantId}/portalDelegate/{portal_delegate_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/listcontactsbyportaldelegateid.md): Returns a list of records with the specified portal_delegate_id
 - [POST /contacts/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/searchforcontacts.md): Searches for contacts using predefined parameters
 - [GET /contacts/{tenantId}/socialProfile/{emailAddress}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getsocialprofile.md): This method will make a call and parse/return the results
 - [DELETE /contacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/deletecontact.md): This method will delete a contact with the specified ID.
 - [GET /contacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/getcontact.md): This method will look up a contact by the specified ID and return it back.
 - [PATCH /contacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/patchcontact.md): This method will patch an existing contact with the specified ID, using the HTTP PATCH specification.
 - [PUT /contacts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/updatecontact.md): This method will update an existing contact with the specified ID.
 - [PUT /contacts/{tenantId}/{id}/merge](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contacts/mergecontacts.md): Updates a contact with data merged from other contacts then signals other microservices to complete the merge
## Custom Activities

 - [GET /customActivities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listcustomactivities.md): This method will scan all custom activities and and return them to the caller.
 - [POST /customActivities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/createcustomactivity.md): This method will auto-generate an ID and create a new custom activity. If an ID is specified for the custom activity, an error will be thrown.
 - [POST /customActivities/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /customActivities/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listactivitiesbycontactid.md): Returns a list of records with the specified contact_id
 - [GET /customActivities/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listactivitiesbyorganizationid.md): Returns a list of records with the specified organization_id
 - [DELETE /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/deletecustomactivity.md): This method will delete a custom activity with the specified ID.
 - [GET /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/getcustomactivity.md): This method will look up a custom activity by the specified ID and return it back.
 - [PATCH /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/patchcustomactivity.md): This method will patch an existing custom activity with the specified ID, using the HTTP PATCH specification.
 - [PUT /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/updatecustomactivity.md): This method will update an existing custom activity with the specified ID.
## Custom Activity Types

 - [GET /customActivityTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/listcustomactivitytypes.md): This method will scan all custom activity types and and return them to the caller.
 - [POST /customActivityTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/createcustomactivitytype.md): This method will auto-generate an ID and create a new custom activity type. If an ID is specified for the custom activity type, an error will be thrown.
 - [POST /customActivityTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/deletecustomactivitytype.md): This method will delete a custom activity type with the specified ID.
 - [GET /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/getcustomactivitytype.md): This method will look up a custom activity type by the specified ID and return it back.
 - [PATCH /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/patchcustomactivitytype.md): This method will patch an existing custom activity type with the specified ID, using the HTTP PATCH specification.
 - [PUT /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/updatecustomactivitytype.md): This method will update an existing custom activity type with the specified ID.
## Custom Engagement Metrics

 - [GET /customEngagementMetrics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/listcustomengagementmetrics.md): This method will scan all custom engagement metrics and and return them to the caller.
 - [POST /customEngagementMetrics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/createcustomengagementmetric.md): This method will auto-generate an ID and create a new custom engagement metric. If an ID is specified for the custom engagement metric, an error will be thrown.
 - [POST /customEngagementMetrics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/deletecustomengagementmetric.md): This method will delete a custom engagement metric with the specified ID.
 - [GET /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/getcustomengagementmetric.md): This method will look up a custom engagement metric by the specified ID and return it back.
 - [PATCH /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/patchcustomengagementmetric.md): This method will patch an existing custom engagement metric with the specified ID, using the HTTP PATCH specification.
 - [PUT /customEngagementMetrics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-engagement-metrics/updatecustomengagementmetric.md): This method will update an existing custom engagement metric with the specified ID.
## Engagement Categories

 - [GET /engagementCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/listengagementcategories.md): This method will scan all engagement categories and and return them to the caller.
 - [POST /engagementCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/createengagementcategory.md): This method will auto-generate an ID and create a new engagement category. If an ID is specified for the engagement category, an error will be thrown.
 - [POST /engagementCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/deleteengagementcategory.md): This method will delete a engagement category with the specified ID.
 - [GET /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/getengagementcategory.md): This method will look up a engagement category by the specified ID and return it back.
 - [PATCH /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/patchengagementcategory.md): This method will patch an existing engagement category with the specified ID, using the HTTP PATCH specification.
 - [PUT /engagementCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-categories/updateengagementcategory.md): This method will update an existing engagement category with the specified ID.
## Engagement Models

 - [GET /engagementModels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/listengagementmodels.md): This method will scan all engagement models and and return them to the caller.
 - [POST /engagementModels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/createengagementmodel.md): This method will auto-generate an ID and create a new engagement model. If an ID is specified for the engagement model, an error will be thrown.
 - [POST /engagementModels/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/deleteengagementmodel.md): This method will delete a engagement model with the specified ID.
 - [GET /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/getengagementmodel.md): This method will look up a engagement model by the specified ID and return it back.
 - [PATCH /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/patchengagementmodel.md): This method will patch an existing engagement model with the specified ID, using the HTTP PATCH specification.
 - [PUT /engagementModels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-models/updateengagementmodel.md): This method will update an existing engagement model with the specified ID.
## Engagement Scores

 - [GET /engagementScores/{tenantId}/customer/{customer_type}/{customer_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/listscoresbycustomerid.md): Returns a list of records with the specified customer_id
 - [GET /engagementScores/{tenantId}/metrics](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/getmetrics.md): Gets a list of all metrics
 - [POST /engagementScores/{tenantId}/performLookback](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/performlookback.md): Initiates a lookback write of engagement-related data
 - [GET /engagementScores/{tenantId}/rawMetricData/{customerType}/{customerId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/getrawmetricdataforcustomer.md): Gets the raw metric data for a customer
 - [POST /engagementScores/{tenantId}/regenerateScores](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/regeneratescores.md): Regenerates scores when a scoring model has changed
 - [GET /engagementScores/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/engagement-scores/getengagementscore.md): This method will look up a engagement score by the specified ID and return it back.
## Organization Directories

 - [GET /organizationDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/listorganizationdirectories.md): This method will scan all organization directories and and return them to the caller.
 - [POST /organizationDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/createorganizationdirectory.md): This method will auto-generate an ID and create a new organization directory. If an ID is specified for the organization directory, an error will be thrown.
 - [POST /organizationDirectories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /organizationDirectories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getdirectoryentry.md)
 - [POST /organizationDirectories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/searchpublicdirectory.md)
 - [POST /organizationDirectories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/senddirectorymessage.md)
 - [GET /organizationDirectories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getpublicdirectory.md): This method will look up a organization directory by the specified ID and return it back.
 - [POST /organizationDirectories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/searchdirectory.md)
 - [DELETE /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/deleteorganizationdirectory.md): This method will delete a organization directory with the specified ID.
 - [GET /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/getorganizationdirectory.md): This method will look up a organization directory by the specified ID and return it back.
 - [PATCH /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/patchorganizationdirectory.md): This method will patch an existing organization directory with the specified ID, using the HTTP PATCH specification.
 - [PUT /organizationDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-directories/updateorganizationdirectory.md): This method will update an existing organization directory with the specified ID.
## Organization Duplicates

 - [GET /organizationDuplicates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/listorganizationduplicates.md): This method will scan all organization duplicates and and return them to the caller.
 - [POST /organizationDuplicates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/duplicatecheck.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options
 - [GET /organizationDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/getorganizationduplicate.md): This method will look up a organization duplicate by the specified ID and return it back.
 - [PATCH /organizationDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/patchorganizationduplicate.md): This method will patch an existing organization duplicate with the specified ID, using the HTTP PATCH specification.
 - [PUT /organizationDuplicates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-duplicates/updateorganizationduplicate.md): This method will update an existing organization duplicate with the specified ID.
## Organization Types

 - [GET /organizationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/listorganizationtypes.md): This method will scan all organization types and and return them to the caller.
 - [POST /organizationTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/createorganizationtype.md): This method will auto-generate an ID and create a new organization type. If an ID is specified for the organization type, an error will be thrown.
 - [POST /organizationTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/deleteorganizationtype.md): This method will delete a organization type with the specified ID.
 - [GET /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/getorganizationtype.md): This method will look up a organization type by the specified ID and return it back.
 - [PATCH /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/patchorganizationtype.md): This method will patch an existing organization type with the specified ID, using the HTTP PATCH specification.
 - [PUT /organizationTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organization-types/updateorganizationtype.md): This method will update an existing organization type with the specified ID.
## Organizations

 - [POST /organizations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/createorganization.md): This method will auto-generate an ID and create a new organization. If an ID is specified for the organization, an error will be thrown.
 - [POST /organizations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /organizations/{tenantId}/descendents/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getdescendents.md): Recursively finds all descendents to an organization
 - [GET /organizations/{tenantId}/domain_name/{domain_name}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getorganizationbydomainname.md): Returns the organization matching the specified domain_name
 - [GET /organizations/{tenantId}/getFieldConflicts/{ids}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getfieldconflicts.md): This method will load organizations, compare them, and return all fields that are in conflict
 - [GET /organizations/{tenantId}/parentOrganization/{parent_organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/listorganizationsbyparentorganizationid.md): Returns a list of records with the specified parent_organization_id
 - [POST /organizations/{tenantId}/previewContactRoleComplianceEmail](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/previewcontactrolecomplianceemail.md): Sends out a preview of the CRC notification email
 - [GET /organizations/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/publicreadorg.md): This method will return the publicly accessible information for an org. It is used on the portal to make authenticated requests to users who are not yet tied to the organization
 - [POST /organizations/{tenantId}/reprocessCompliance](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/reprocesscompliance.md): Given a set of expiration options, allows for the calculation of an expiration date
 - [POST /organizations/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/searchfororganizations.md): Searches for organizations using predefined parameters
 - [GET /organizations/{tenantId}/socialProfile/{domain}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getsocialprofile.md): This method will make a call and parse/return the results
 - [DELETE /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/deleteorganization.md): This method will delete a organization with the specified ID.
 - [GET /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getorganization.md): This method will look up a organization by the specified ID and return it back.
 - [PATCH /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/patchorganization.md): This method will patch an existing organization with the specified ID, using the HTTP PATCH specification.
 - [PUT /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/updateorganization.md): This method will update an existing organization with the specified ID.
 - [PUT /organizations/{tenantId}/{id}/merge](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/mergeorganizations.md): Updates a organization with data merged from other organizations then signals other microservices to complete the merge
## Phone Number Types

 - [GET /phoneNumberTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/listphonenumbertypes.md): This method will scan all phone number types and and return them to the caller.
 - [POST /phoneNumberTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/createphonenumbertype.md): This method will auto-generate an ID and create a new phone number type. If an ID is specified for the phone number type, an error will be thrown.
 - [DELETE /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/deletephonenumbertype.md): This method will delete a phone number type with the specified ID.
 - [GET /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/getphonenumbertype.md): This method will look up a phone number type by the specified ID and return it back.
 - [PATCH /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/patchphonenumbertype.md): This method will patch an existing phone number type with the specified ID, using the HTTP PATCH specification.
 - [PUT /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/updatephonenumbertype.md): This method will update an existing phone number type with the specified ID.
## Query Definitions

 - [GET /queryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/query-definitions/getquerydefinitions.md): Returns a list of records
## Region Configurations

 - [DELETE /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/deleteregionconfiguration.md): This method will delete a region configuration with the specified ID.
 - [GET /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/getregionconfiguration.md): This method will look up a region configuration by the specified ID and return it back.
 - [PATCH /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/patchregionconfiguration.md): This method will patch an existing region configuration with the specified ID, using the HTTP PATCH specification.
 - [POST /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/createregionconfiguration.md): This method will auto-generate an ID and create a new region configuration. If an ID is specified for the region configuration, an error will be thrown.
 - [PUT /regionConfigurations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/region-configurations/updateregionconfiguration.md): This method will update an existing region configuration with the specified ID.
## Regions

 - [GET /regions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/listregions.md): This method will scan all regions and and return them to the caller.
 - [POST /regions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/createregion.md): This method will auto-generate an ID and create a new region. If an ID is specified for the region, an error will be thrown.
 - [POST /regions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [POST /regions/{tenantId}/recalculate](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/recalculateregionassignments.md): Goes through and recalculates all region assignments
 - [DELETE /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/deleteregion.md): This method will delete a region with the specified ID.
 - [GET /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/getregion.md): This method will look up a region by the specified ID and return it back.
 - [PATCH /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/patchregion.md): This method will patch an existing region with the specified ID, using the HTTP PATCH specification.
 - [PUT /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/updateregion.md): This method will update an existing region with the specified ID.
## Relationship Types

 - [GET /relationshipTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/listrelationshiptypes.md): This method will scan all relationship types and and return them to the caller.
 - [POST /relationshipTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/createrelationshiptype.md): This method will auto-generate an ID and create a new relationship type. If an ID is specified for the relationship type, an error will be thrown.
 - [POST /relationshipTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/deleterelationshiptype.md): This method will delete a relationship type with the specified ID.
 - [GET /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/getrelationshiptype.md): This method will look up a relationship type by the specified ID and return it back.
 - [PATCH /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/patchrelationshiptype.md): This method will patch an existing relationship type with the specified ID, using the HTTP PATCH specification.
 - [PUT /relationshipTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationship-types/updaterelationshiptype.md): This method will update an existing relationship type with the specified ID.
## Relationships

 - [POST /relationships/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/createrelationship.md): This method will auto-generate an ID and create a new relationship. If an ID is specified for the relationship, an error will be thrown.
 - [POST /relationships/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /relationships/{tenantId}/leftSide/{left_side_type}/{left_side_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/listrelationshipsbyleftsideid.md): Returns a list of records with the specified left_side_id
 - [GET /relationships/{tenantId}/rightSide/{right_side_type}/{right_side_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/listrelationshipsbyrightsideid.md): Returns a list of records with the specified right_side_id
 - [DELETE /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/deleterelationship.md): This method will delete a relationship with the specified ID.
 - [GET /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/getrelationship.md): This method will look up a relationship by the specified ID and return it back.
 - [PATCH /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/patchrelationship.md): This method will patch an existing relationship with the specified ID, using the HTTP PATCH specification.
 - [PUT /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/updaterelationship.md): This method will update an existing relationship with the specified ID.
## Settings

 - [DELETE /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/deletesetting.md): This method will delete a setting with the specified ID.
 - [GET /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/getsetting.md): This method will look up a setting by the specified ID and return it back.
 - [PATCH /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/patchsetting.md): This method will patch an existing setting with the specified ID, using the HTTP PATCH specification.
 - [POST /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/createsetting.md): This method will auto-generate an ID and create a new setting. If an ID is specified for the setting, an error will be thrown.
 - [PUT /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/settings/updatesetting.md): This method will update an existing setting with the specified ID.
## Statistics

 - [POST /statistics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/statistics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /statistics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/statistics/getstatistic.md): This method will look up a statistic by the specified ID and return it back.
